#
# Conditional build:
%bcond_with	doc	# build doc (broken)
%bcond_with	tests	# do perform tests (extra deps pulled)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		vine
%define		egg_name	vine
%define		pypi_name	vine
Summary:	Python promises
Name:		python-%{module}
Version:	1.3.0
Release:	1
License:	BSD
Group:		Libraries/Python
# Source0:	https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source0:	https://pypi.debian.net/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	5d125e0b4d759b39e03d11902dede8c9
URL:		https://vine.readthedocs.io/en/latest/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python promises.

%package -n python3-%{module}
Summary:	Python promises
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Python promises.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc Changelog README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc Changelog README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Feb 17 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-vine.git;a=log;h=master

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> e385424
- up to 1.3.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f6a5e7d
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 26 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> a5d883c
- Version: 1.1.4

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e0437a2
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e782eb
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 12 2016 Elan Ruusamäe <glen@delfi.ee> ff60636
- use pythonhosted url; macros

* Wed Oct 12 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 13d9e66
- new package

